# Mypage-Cards-Settings

**Summary:** Endpoints for Mypage-Cards-Settings

- Role: [Developers](https://www.subrite.no/developers)
- Source: https://www.subrite.no/developers/mypage-cards-settings
- Updated: 2026-10-13
- Markdown index: https://www.subrite.no/developers/llms.txt

<a id="get-api-v1-setting-mypage-cards"></a>
## Get mypage cards settings of a tenant

`GET /api/v1/setting/mypage-cards`

**Authentication:** Bearer token (JWT)

### Responses

#### 200

Content type: `application/json` · `array of MypageCardsSettingsResponseDto`

| Name | Type | Description |
| --- | --- | --- |
| `[].title` (Required when parent is present) | `Translation` | Can be null |
| `[].title.en` (Required when parent is present) | `string` |   |
| `[].title.no` (Required when parent is present) | `string` |   |
| `[].title.sv` | `string` |   |
| `[].title.da` | `string` |   |
| `[].title.key` | `string` |   |
| `[].description` (Required when parent is present) | `Translation` | Can be null |
| `[].description.en` (Required when parent is present) | `string` |   |
| `[].description.no` (Required when parent is present) | `string` |   |
| `[].description.sv` | `string` |   |
| `[].description.da` | `string` |   |
| `[].description.key` | `string` |   |
| `[].id` (Required when parent is present) | `number` |   |
| `[].link` (Required when parent is present) | `string` |   |
| `[].cardType` (Required when parent is present) | `string` | Allowed values: `"subrite_standard"`, `"custom"` |
| `[].showOnMyPage` (Required when parent is present) | `boolean` |   |
| `[].display_order` (Required when parent is present) | `number` |   |

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` |   |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get mypage cards settings of a tenant (403)](https://www.subrite.no/developers/mypage-cards-settings?md=true#get-api-v1-setting-mypage-cards).

### Example request

```bash
curl https://api.subrite.no/api/v1/setting/mypage-cards \
  --header 'Authorization: Bearer <token>'
```

### Example response

200 · `application/json`

```json
[
  {
    "title": {},
    "description": {},
    "id": 0,
    "link": "string",
    "cardType": "subrite_standard",
    "showOnMyPage": true,
    "display_order": 0
  }
]
```

<a id="post-api-v1-setting-mypage-cards"></a>
## Create a new my page card settings for a tenant

`POST /api/v1/setting/mypage-cards`

**Authentication:** Bearer token (JWT)

### Request body

Content type: `application/json` · Required · `CreateMypageCardsSettingRequestDto`

| Name | Type | Description |
| --- | --- | --- |
| `title` (Required) | `Translation` |   |
| `title.en` (Required) | `string` |   |
| `title.no` (Required) | `string` |   |
| `title.sv` | `string` |   |
| `title.da` | `string` |   |
| `title.key` | `string` |   |
| `link` (Required) | `string` |   |
| `cardType` (Required) | `MypageCardsType` | Allowed values: `"subrite_standard"`, `"custom"` |
| `description` | `Translation` |   |
| `description.en` (Required when parent is present) | `string` |   |
| `description.no` (Required when parent is present) | `string` |   |
| `description.sv` | `string` |   |
| `description.da` | `string` |   |
| `description.key` | `string` |   |
| `showOnMyPage` | `boolean` | Default: `true` |
| `display_order` (Required) | `number` | The order in which the card should appear on the page · `minimum`: `0` |

**Example request body**

`application/json`

```json
{
  "title": {
    "en": "string",
    "no": "string",
    "sv": "string",
    "da": "string",
    "key": "string"
  },
  "link": "string",
  "cardType": "subrite_standard",
  "description": {
    "en": "string",
    "no": "string",
    "sv": "string",
    "da": "string",
    "key": "string"
  },
  "showOnMyPage": true,
  "display_order": 0
}
```

### Responses

#### 201

Content type: `application/json` · `CreateMypageCardsSettingsResponseDto`

| Name | Type | Description |
| --- | --- | --- |
| `title` (Required) | `Translation` | Can be null |
| `title.en` (Required when parent is present) | `string` |   |
| `title.no` (Required when parent is present) | `string` |   |
| `title.sv` | `string` |   |
| `title.da` | `string` |   |
| `title.key` | `string` |   |
| `description` (Required) | `Translation` | Can be null |
| `description.en` (Required when parent is present) | `string` |   |
| `description.no` (Required when parent is present) | `string` |   |
| `description.sv` | `string` |   |
| `description.da` | `string` |   |
| `description.key` | `string` |   |
| `id` (Required) | `number` |   |
| `link` (Required) | `string` |   |
| `cardType` (Required) | `string` | Allowed values: `"subrite_standard"`, `"custom"` |
| `showOnMyPage` (Required) | `boolean` |   |
| `display_order` (Required) | `number` |   |

#### 400

Content type: `application/json` · `ErrorResponse`

Body validation failed

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"badRequest"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "badRequest",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get mypage cards settings of a tenant (403)](https://www.subrite.no/developers/mypage-cards-settings?md=true#get-api-v1-setting-mypage-cards).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get mypage cards settings of a tenant (403)](https://www.subrite.no/developers/mypage-cards-settings?md=true#get-api-v1-setting-mypage-cards).

### Example request

```bash
curl https://api.subrite.no/api/v1/setting/mypage-cards \
  --request POST \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "title": {
    "en": "string",
    "no": "string",
    "sv": "string",
    "da": "string",
    "key": "string"
  },
  "link": "string",
  "cardType": "subrite_standard",
  "description": {
    "en": "string",
    "no": "string",
    "sv": "string",
    "da": "string",
    "key": "string"
  },
  "showOnMyPage": true,
  "display_order": 0
}'
```

### Example response

201 · `application/json`

```json
{
  "title": {
    "en": "string",
    "no": "string",
    "sv": "string",
    "da": "string",
    "key": "string"
  },
  "description": {
    "en": "string",
    "no": "string",
    "sv": "string",
    "da": "string",
    "key": "string"
  },
  "id": 0,
  "link": "string",
  "cardType": "subrite_standard",
  "showOnMyPage": true,
  "display_order": 0
}
```

<a id="get-api-v1-setting-mypage-cards-id"></a>
## Get a mypage card settings of a tenant by id

`GET /api/v1/setting/mypage-cards/{id}`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `id` (Required) | path | `number` |   |

### Responses

#### 200

Content type: `application/json` · `MypageCardsSettingsResponseDto`

| Name | Type | Description |
| --- | --- | --- |
| `title` (Required) | `Translation` | Can be null |
| `title.en` (Required when parent is present) | `string` |   |
| `title.no` (Required when parent is present) | `string` |   |
| `title.sv` | `string` |   |
| `title.da` | `string` |   |
| `title.key` | `string` |   |
| `description` (Required) | `Translation` | Can be null |
| `description.en` (Required when parent is present) | `string` |   |
| `description.no` (Required when parent is present) | `string` |   |
| `description.sv` | `string` |   |
| `description.da` | `string` |   |
| `description.key` | `string` |   |
| `id` (Required) | `number` |   |
| `link` (Required) | `string` |   |
| `cardType` (Required) | `string` | Allowed values: `"subrite_standard"`, `"custom"` |
| `showOnMyPage` (Required) | `boolean` |   |
| `display_order` (Required) | `number` |   |

#### 400

Content type: `application/json` · `ErrorResponse`

The id is not an integer

Same fields as [Create a new my page card settings for a tenant (400)](https://www.subrite.no/developers/mypage-cards-settings?md=true#post-api-v1-setting-mypage-cards).

**Example response**

`application/json`

```json
{
  "messageCode": "badRequest",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get mypage cards settings of a tenant (403)](https://www.subrite.no/developers/mypage-cards-settings?md=true#get-api-v1-setting-mypage-cards).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 404

Content type: `application/json` · `ErrorResponse`

mypageCardNotFound

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"mypageCardNotFound"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "mypageCardNotFound",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get mypage cards settings of a tenant (403)](https://www.subrite.no/developers/mypage-cards-settings?md=true#get-api-v1-setting-mypage-cards).

### Example request

```bash
curl 'https://api.subrite.no/api/v1/setting/mypage-cards/{id}' \
  --header 'Authorization: Bearer <token>'
```

### Example response

200 · `application/json`

```json
{
  "title": {
    "en": "string",
    "no": "string",
    "sv": "string",
    "da": "string",
    "key": "string"
  },
  "description": {
    "en": "string",
    "no": "string",
    "sv": "string",
    "da": "string",
    "key": "string"
  },
  "id": 0,
  "link": "string",
  "cardType": "subrite_standard",
  "showOnMyPage": true,
  "display_order": 0
}
```

<a id="delete-api-v1-setting-mypage-cards-id"></a>
## Delete a mypage card settings of a tenant

`DELETE /api/v1/setting/mypage-cards/{id}`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `id` (Required) | path | `number` |   |

### Responses

#### 200

#### 400

Content type: `application/json` · `ErrorResponse`

The id is not an integer

Same fields as [Create a new my page card settings for a tenant (400)](https://www.subrite.no/developers/mypage-cards-settings?md=true#post-api-v1-setting-mypage-cards).

**Example response**

`application/json`

```json
{
  "messageCode": "badRequest",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get mypage cards settings of a tenant (403)](https://www.subrite.no/developers/mypage-cards-settings?md=true#get-api-v1-setting-mypage-cards).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 404

Content type: `application/json` · `ErrorResponse`

mypageCardNotFound

Same fields as [Get a mypage card settings of a tenant by id (404)](https://www.subrite.no/developers/mypage-cards-settings?md=true#get-api-v1-setting-mypage-cards-id).

**Example response**

`application/json`

```json
{
  "messageCode": "mypageCardNotFound",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get mypage cards settings of a tenant (403)](https://www.subrite.no/developers/mypage-cards-settings?md=true#get-api-v1-setting-mypage-cards).

### Example request

```bash
curl 'https://api.subrite.no/api/v1/setting/mypage-cards/{id}' \
  --request DELETE \
  --header 'Authorization: Bearer <token>'
```

<a id="patch-api-v1-setting-mypage-cards-id"></a>
## Update a mypage cards settings of a tenant by id

`PATCH /api/v1/setting/mypage-cards/{id}`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `id` (Required) | path | `number` |   |

### Request body

Content type: `application/json` · Required · `UpdateMypageCardSettingsRequestDto`

| Name | Type | Description |
| --- | --- | --- |
| `title` | `Translation` |   |
| `title.en` (Required when parent is present) | `string` |   |
| `title.no` (Required when parent is present) | `string` |   |
| `title.sv` | `string` |   |
| `title.da` | `string` |   |
| `title.key` | `string` |   |
| `link` | `string` |   |
| `cardType` | `MypageCardsType` | Allowed values: `"subrite_standard"`, `"custom"` |
| `description` | `Translation` |   |
| `description.en` (Required when parent is present) | `string` |   |
| `description.no` (Required when parent is present) | `string` |   |
| `description.sv` | `string` |   |
| `description.da` | `string` |   |
| `description.key` | `string` |   |
| `showOnMyPage` | `boolean` | Default: `true` |
| `display_order` | `number` | The order in which the card should appear on the page · `minimum`: `0` |

**Example request body**

`application/json`

```json
{
  "title": {
    "en": "string",
    "no": "string",
    "sv": "string",
    "da": "string",
    "key": "string"
  },
  "link": "string",
  "cardType": "subrite_standard",
  "description": {
    "en": "string",
    "no": "string",
    "sv": "string",
    "da": "string",
    "key": "string"
  },
  "showOnMyPage": true,
  "display_order": 0
}
```

### Responses

#### 200

Content type: `application/json` · `MypageCardsSettingsResponseDto`

Same fields as [Get a mypage card settings of a tenant by id (200)](https://www.subrite.no/developers/mypage-cards-settings?md=true#get-api-v1-setting-mypage-cards-id).

#### 400

Content type: `application/json` · `ErrorResponse`

Body validation failed, or the id is not an integer

Same fields as [Create a new my page card settings for a tenant (400)](https://www.subrite.no/developers/mypage-cards-settings?md=true#post-api-v1-setting-mypage-cards).

**Example response**

`application/json`

```json
{
  "messageCode": "badRequest",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get mypage cards settings of a tenant (403)](https://www.subrite.no/developers/mypage-cards-settings?md=true#get-api-v1-setting-mypage-cards).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 404

Content type: `application/json` · `ErrorResponse`

mypageCardNotFound

Same fields as [Get a mypage card settings of a tenant by id (404)](https://www.subrite.no/developers/mypage-cards-settings?md=true#get-api-v1-setting-mypage-cards-id).

**Example response**

`application/json`

```json
{
  "messageCode": "mypageCardNotFound",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get mypage cards settings of a tenant (403)](https://www.subrite.no/developers/mypage-cards-settings?md=true#get-api-v1-setting-mypage-cards).

### Example request

```bash
curl 'https://api.subrite.no/api/v1/setting/mypage-cards/{id}' \
  --request PATCH \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "title": {
    "en": "string",
    "no": "string",
    "sv": "string",
    "da": "string",
    "key": "string"
  },
  "link": "string",
  "cardType": "subrite_standard",
  "description": {
    "en": "string",
    "no": "string",
    "sv": "string",
    "da": "string",
    "key": "string"
  },
  "showOnMyPage": true,
  "display_order": 0
}'
```

### Example response

200 · `application/json`

```json
{
  "title": {
    "en": "string",
    "no": "string",
    "sv": "string",
    "da": "string",
    "key": "string"
  },
  "description": {
    "en": "string",
    "no": "string",
    "sv": "string",
    "da": "string",
    "key": "string"
  },
  "id": 0,
  "link": "string",
  "cardType": "subrite_standard",
  "showOnMyPage": true,
  "display_order": 0
}
```

<a id="patch-api-v1-setting-mypage-cards-display-order-all"></a>
## Update a mypage cards settings display order of a tenant

`PATCH /api/v1/setting/mypage-cards/display-order/all`

**Authentication:** Bearer token (JWT)

### Request body

Content type: `application/json` · Required · `array of UpdateMypageCardSettingsDisplayOrderRequestDto`

| Name | Type | Description |
| --- | --- | --- |
| `[].cardType` (Required when parent is present) | `MypageCardsType` | Allowed values: `"subrite_standard"`, `"custom"` |
| `[].display_order` (Required when parent is present) | `number` | The order in which the card should appear on the page · `minimum`: `0` |
| `[].id` (Required when parent is present) | `number` | `minimum`: `1` |

**Example request body**

`application/json`

```json
[
  {
    "cardType": "subrite_standard",
    "display_order": 0,
    "id": 1
  }
]
```

### Responses

#### 200

#### 400

Content type: `application/json` · `ErrorResponse`

Body validation failed

Same fields as [Create a new my page card settings for a tenant (400)](https://www.subrite.no/developers/mypage-cards-settings?md=true#post-api-v1-setting-mypage-cards).

**Example response**

`application/json`

```json
{
  "messageCode": "badRequest",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get mypage cards settings of a tenant (403)](https://www.subrite.no/developers/mypage-cards-settings?md=true#get-api-v1-setting-mypage-cards).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 404

Content type: `application/json` · `ErrorResponse`

mypageCardNotFound

Same fields as [Get a mypage card settings of a tenant by id (404)](https://www.subrite.no/developers/mypage-cards-settings?md=true#get-api-v1-setting-mypage-cards-id).

**Example response**

`application/json`

```json
{
  "messageCode": "mypageCardNotFound",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get mypage cards settings of a tenant (403)](https://www.subrite.no/developers/mypage-cards-settings?md=true#get-api-v1-setting-mypage-cards).

### Example request

```bash
curl https://api.subrite.no/api/v1/setting/mypage-cards/display-order/all \
  --request PATCH \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '[
  {
    "cardType": "subrite_standard",
    "display_order": 0,
    "id": 1
  }
]'
```
